## org.codehaus.plexus.logging
Class AbstractLogEnabled

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLogEnabled

All Implemented Interfaces:
  LogEnabled

    public abstract class AbstractLogEnabled

extends java.lang.Object
implements LogEnabled

Version:
  $Id: AbstractLogEnabled.java 5812 2007-02-20 21:19:46Z handyande $
Author:
  Jason van Zyl, Trygve Laugstøl

Constructor Summary
`AbstractLogEnabled()`

Method Summary
`void` `enableLogging(Logger logger)`
`protected Logger` `getLogger()`
`protected void` `setupLogger(java.lang.Object component)`
`protected void` `setupLogger(java.lang.Object component, Logger logger)`
`protected void` `setupLogger(java.lang.Object component, java.lang.String subCategory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLogEnabled

    public AbstractLogEnabled()

Method Detail

### enableLogging

    public void enableLogging(Logger logger)

  Specified by:
    `enableLogging` in interface `LogEnabled`

### getLogger

    protected Logger getLogger()

### setupLogger

    protected void setupLogger(java.lang.Object component)

### setupLogger

    protected void setupLogger(java.lang.Object component,
                               java.lang.String subCategory)

### setupLogger

    protected void setupLogger(java.lang.Object component,
                               Logger logger)

Copyright © 2011. All Rights Reserved.